Bug 1465624 - Advanced installation does not set correct node hostname in OpenShift
Advanced installation does not set correct node hostname in OpenShift
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.6.0
Unspecified Linux
unspecified Severity low
: ---
: 3.6.z
Assigned To: Scott Dodson
Johnny Liu
aos-scalability-36
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 15:12 EDT by Sebastian Jug
Modified: 2017-08-24 16:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 16:48:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Jug 2017-06-27 15:12:04 EDT
Description of problem:
VM cluster inside of OpenStack has bind running to provide DNS for custom cluster domain. Hostnames and DNS configuration is set correctly on all VM hosts in cluster and resolves backwards and forwards. However during installation the nodes do not get the correct hostname from the host, instead they get the IP address. The local instance hostname on the node itself does not change.

The OpenShift install is being run *without* the OpenStack provider.

Version-Release number of selected component (if applicable):
git master openshift-ansible

How reproducible:
99% of the time, however very rarely it will either take the correct hostname or even less often take the original hostname of the actual VM instance.

Steps to Reproduce:
1. Have working OpenStack cluster, deploy n VM instances.
2. Install and configure bind within the private network of the instances, ensure PEERDNS is set to false to ensure we take the local DNS settings.
3. Install OpenShift via advanced installer, listing the nodes using their correct hostnames, with not other overrides or hostname specific parameters.

Actual results:
OpenShift nodes (as shown in `oc get no`) will have their hostnames set to their IP addresses. 

Expected results:
OpenShift nodes are set to their correct hostnames as listed in the inventory.
Comment 1 Marko Myllynen 2017-06-29 10:01:53 EDT
I think it should be possible to avoid this by setting something like:

[nodes]
master.example.com openshift_hostname=master.example.com ...

But indeed the playbooks should be smart enough not to require this.

Note You need to log in before you can comment on or make changes to this bug.